r3040 - jhalfs/branches/experimental/BLFS

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Tue Aug 22 12:23:45 PDT 2006


Author: manuel
Date: 2006-08-22 13:23:45 -0600 (Tue, 22 Aug 2006)
New Revision: 3040

Removed:
   jhalfs/branches/experimental/BLFS/alternatives.conf
   jhalfs/branches/experimental/BLFS/blfs-parser.sh
Log:
Removed now unused files.

Deleted: jhalfs/branches/experimental/BLFS/alternatives.conf
===================================================================
--- jhalfs/branches/experimental/BLFS/alternatives.conf	2006-08-22 19:20:24 UTC (rev 3039)
+++ jhalfs/branches/experimental/BLFS/alternatives.conf	2006-08-22 19:23:45 UTC (rev 3040)
@@ -1,27 +0,0 @@
-#####
-#
-# Configuration file for the BLFS module
-#
-# $Id$
-#
-# Set default package for alternatives when resolving dependencies
-#
-#####
-
-# Print server cups/LPRng
-PRINT_SERVER=cups
-
-# Mail server sendmail/postfix/exim
-MAIL_SERVER=sendmail
-
-# GhostScript  gs/espgs
-GHOSTSCRIPT=espgs
-
-# Kerberos 5 mitkrb/heimdal
-KBR5=heimdal
-
-# X11 implementation xorg7/xorg/xfree86
-X11=xorg7
-
-
-

Deleted: jhalfs/branches/experimental/BLFS/blfs-parser.sh
===================================================================
--- jhalfs/branches/experimental/BLFS/blfs-parser.sh	2006-08-22 19:20:24 UTC (rev 3039)
+++ jhalfs/branches/experimental/BLFS/blfs-parser.sh	2006-08-22 19:23:45 UTC (rev 3040)
@@ -1,119 +0,0 @@
-#!/bin/bash
-#
-# $Id$
-#
-set -e
-declare TARGET
-declare DEP_LEVEL
-declare PKGXML
-declare BLFS_XML
-declare VERBOSITY=1
-
-# Grab and name the command line options
-    optTARGET=$1  # Package target
-optDEPENDENCY=$2  # Dependencies level, 1/2/3
-         SUDO=$3  # Build as user (y) or as root (n)
-
-[[ -z $SUDO ]] && SUDO=y
-
-
-#---------------------
-# Constants
-source libs/constants.inc
-[[ $? > 0 ]] && echo -e "\n\tERROR: constants.inc did not load..\n" && exit
-
-#---------------------
-# Configuration file for alternatives
-source alternatives.conf
-[[ $? > 0 ]] && echo -e "\n\tERROR: alternatives.conf did not load..\n" && exit
-
-#---------------------
-# Dependencies module
-source libs/func_dependencies
-[[ $? > 0 ]] && echo -e "\n\tERROR: func_dependencies did not load..\n" && exit
-
-#---------------------
-# parser module
-source libs/func_parser
-[[ $? > 0 ]] && echo -e "\n\tERROR: func_parser did not load..\n" && exit
-
-
-
-#-------------------------#
-validate_target() {       # ID of target package (as listed in packages file)
-#-------------------------#
-: <<inline_doc
-    function:   Validate the TARGET parameter.
-    input vars: $1, package/target to validate
-    externals:  file: packages
-    modifies:   TARGET
-    returns:    nothing
-    output:     nothing
-    on error:   exit
-    on success: modifies TARGET
-inline_doc
-
-  if [[ -z "$1" ]] ; then
-    echo -e "\n\tYou must to provide a package ID."
-    echo -e "\tSee packages file for a list of available targets.\n"
-    exit 1
-  fi
-
-  if ! grep  "^$1[[:space:]]" packages > /dev/null ; then
-    echo -e "\n\t$1 is not a valid package ID."
-    echo -e "\tSee packages file for a list of available targets.\n"
-    exit 1
-  fi
-
-  TARGET=$1
-  echo -e "\n\tUsing $TARGET as the target package."
-}
-
-#-------------------------#
-validate_dependency() {   # Dependencies level 1(required)/2(1 + recommended)/3(2+ optional)
-#-------------------------#
-: <<inline_doc
-    function:   Validate the dependency level requested.
-    input vars: $1, requested dependency level
-    externals:  vars: TARGET
-    modifies:   vars: DEP_LEVEL
-    returns:    nothing
-    output:     nothing
-    on error:   nothing
-    on success: modifies DEP_LEVEL, default value = 2
-inline_doc
-
-  if [[ -z "$1" ]] ; then
-    DEP_LEVEL=2
-    echo -e "\n\tNo dependencies level has been defined."
-    echo -e "\tAssuming level $DEP_LEVEL (Required plus Recommended).\n"
-    return
-  fi
-
-  case $1 in
-    1 | 2 | 3 )
-      DEP_LEVEL=$1
-      echo -e "\n\tUsing $DEP_LEVEL as dependencies level.\n"
-      ;;
-    * )
-      DEP_LEVEL=2
-      echo -e "\n\t$1 is not a valid dependencies level."
-      echo -e "\tAssuming level $DEP_LEVEL (Required plus Recommended).\n"
-      ;;
-  esac
-}
-
-
-#------- MAIN --------
-if [[ ! -f packages ]] ; then
-  echo -e "\tNo packages file has been found.\n"
-  echo -e "\tExecution aborted.\n"
-  exit 1
-fi
-
-validate_target     "${optTARGET}"
-validate_dependency "${optDEPENDENCY}"
-generate_dependency_tree
-generate_TARGET_xml
-generate_target_book
-create_build_scripts "${SUDO}"




More information about the alfs-log mailing list